| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Functions
QxDaoPointer.h File Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::ptr<T> : provide a classic smart-pointer (like boost::shared_ptr<T> or QSharedPointer<T>) with some features associated with QxDao module of QxOrm library More...

`#include <QtCore/qsharedpointer.h>`
`#include <QtCore/qstringlist.h>`
`#include <QtCore/qdatastream.h>`
`#include <QxSerialize/QDataStream/QxSerializeQDataStream_QSharedPointer.h>`

Go to the source code of this file.

## Classes
class | qx::dao::ptr< T >
| qx::dao::ptr<T> : provide a classic smart-pointer (like boost::shared_ptr<T> or QSharedPointer<T>) with some features associated with QxDao module of QxOrm library More...
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | qx::dao
| Database communication used by persistence engine (ORM - Object Relational Mapping)
namespace | qx::dao::detail
| Internal helper tools for qx::dao namespace.
## Functions
template<class T >
QSharedPointer< T > | qx::clone_to_qt_shared_ptr (const T &obj)
| qx::clone_to_qt_shared_ptr(const T & obj) : return a Qt smart-pointer (QSharedPointer<T>) of a new instance of type T cloned from obj
template<typename T >
QDataStream & | operator<< (QDataStream &stream, const qx::dao::ptr< T > &t)
template<typename T >
QDataStream & | operator>> (QDataStream &stream, qx::dao::ptr< T > &t)
template<class T , class X >
bool | operator== (const qx::dao::ptr< T > &ptr1, const qx::dao::ptr< X > &ptr2)
template<class T , class X >
bool | operator!= (const qx::dao::ptr< T > &ptr1, const qx::dao::ptr< X > &ptr2)
template<class T , class X >
bool | operator== (const qx::dao::ptr< T > &ptr1, const X *ptr2)
template<class T , class X >
bool | operator!= (const qx::dao::ptr< T > &ptr1, const X *ptr2)
template<class T , class X >
bool | operator== (const T *ptr1, const qx::dao::ptr< X > &ptr2)
template<class T , class X >
bool | operator!= (const T *ptr1, const qx::dao::ptr< X > &ptr2)

## Detailed Description

qx::dao::ptr<T> : provide a classic smart-pointer (like boost::shared_ptr<T> or QSharedPointer<T>) with some features associated with QxDao module of QxOrm library

Author:
  Lionel Marty

Definition in file QxDaoPointer.h.

## Function Documentation

template<class T , class X >

bool operator!= | ( | const qx::dao::ptr< T > & | ptr1,
|  | const qx::dao::ptr< X > & | ptr2
| ) |  |

Definition at line 215 of file QxDaoPointer.h.

template<class T , class X >

bool operator!= | ( | const qx::dao::ptr< T > & | ptr1,
|  | const X * | ptr2
| ) |  |

Definition at line 217 of file QxDaoPointer.h.

template<class T , class X >

bool operator!= | ( | const T * | ptr1,
|  | const qx::dao::ptr< X > & | ptr2
| ) |  |

Definition at line 219 of file QxDaoPointer.h.

template<typename T >

QDataStream & operator<< | ( | QDataStream & | stream,
|  | const qx::dao::ptr< T > & | t
| ) |  |

Definition at line 222 of file QxDaoPointer.h.

template<class T , class X >

bool operator== | ( | const qx::dao::ptr< T > & | ptr1,
|  | const qx::dao::ptr< X > & | ptr2
| ) |  |

Definition at line 214 of file QxDaoPointer.h.

template<class T , class X >

bool operator== | ( | const qx::dao::ptr< T > & | ptr1,
|  | const X * | ptr2
| ) |  |

Definition at line 216 of file QxDaoPointer.h.

template<class T , class X >

bool operator== | ( | const T * | ptr1,
|  | const qx::dao::ptr< X > & | ptr2
| ) |  |

Definition at line 218 of file QxDaoPointer.h.

template<typename T >

QDataStream & operator>> | ( | QDataStream & | stream,
|  | qx::dao::ptr< T > & | t
| ) |  |

Definition at line 230 of file QxDaoPointer.h.